## Class Swift_Mime_Headers_ParameterizedHeader

(line 22)

## Description

    Swift_Mime_Headers_AbstractHeader
       |
       --Swift_Mime_Headers_UnstructuredHeader
          |
          --Swift_Mime_Headers_ParameterizedHeader

Located in File: /vendors/swiftMailer/classes/Swift/Mime/Headers/ParameterizedHeader.php

##### An abstract base MIME Header.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_Headers_ParameterizedHeader __construct (string $name, Swift_Mime_HeaderEncoder $encoder, [Swift_Encoder $paramEncoder = null], Swift_Encoder $paramEncoder,)
string getFieldBody ()
int getFieldType ()
string getParameter ( $parameter)
string[] getParameters ()
void setCharset (string $charset)
void setParameter (string $parameter, string $value)
void setParameters ( $parameters)
string[] toTokens ([ $string = null])

#### Constructor __construct (line 54)

#### Swift_Mime_Headers_ParameterizedHeader __construct( string $name, Swift_Mime_HeaderEncoder $encoder, [Swift_Encoder $paramEncoder = null], Swift_Encoder $paramEncoder,)

Overrides : Swift_Mime_Headers_UnstructuredHeader::__construct() Creates a new SimpleHeader with $name.

##### Creates a new ParameterizedHeader with $name.

#### Parameters

- string $name:
- Swift_Mime_HeaderEncoder $encoder:
- Swift_Encoder $paramEncoder,: optional
- Swift_Encoder $paramEncoder:

#### Info

- access - public

#### Method getFieldBody (line 133)

#### string getFieldBody( )

Overrides : Swift_Mime_Headers_UnstructuredHeader::getFieldBody() Get the value of this header prepared for rendering.

Implementation of:

Swift_Mime_Header::getFieldBody()
  Get the field body, prepared for folding into a final header value.

##### Get the value of this header prepared for rendering.

#### Info

- access - public

#### Method getFieldType (line 70)

#### int getFieldType( )

Overrides : Swift_Mime_Headers_UnstructuredHeader::getFieldType() Get the type of Header that this instance represents.

Implementation of:

Swift_Mime_Header::getFieldType()
  Get the type of Header that this instance represents.

##### Get the type of Header that this instance represents.

#### Info

- see - TYPE_TEXT, TYPE_PARAMETERIZED, TYPE_MAILBOX
- see - TYPE_DATE, TYPE_ID, TYPE_PATH
- access - public

#### Method getParameter (line 102)

#### string getParameter( $parameter)

Implementation of:

Swift_Mime_ParameterizedHeader::getParameter()
  Get the value of $parameter.

##### Get the value of $parameter.

#### Parameters

- $parameter:

#### Info

- access - public

#### Method getParameters (line 124)

#### string[] getParameters( )

##### Returns an associative array of parameter names mapped to values.

#### Info

- access - public

#### Method setCharset (line 79)

#### void setCharset( string $charset)

Overrides : Swift_Mime_Headers_AbstractHeader::setCharset() Set the character set used in this Header.

Implementation of:

Swift_Mime_Header::setCharset()
  Set the charset used when rendering the Header.

##### Set the character set used in this Header.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method setParameter (line 93)

#### void setParameter( string $parameter, string $value)

Implementation of:

Swift_Mime_ParameterizedHeader::setParameter()
  Set the value of $parameter.

##### Set the value of $parameter.

#### Parameters

- string $parameter:
- string $value:

#### Info

- access - public

#### Method setParameters (line 114)

#### void setParameters( $parameters)

##### Set an associative array of parameter names mapped to values.

#### Parameters

- string[] $parameters:

#### Info

- access - public

#### Method toTokens (line 156)

#### string[] toTokens( [ $string = null])

Overrides : Swift_Mime_Headers_AbstractHeader::toTokens() Generate a list of all tokens in the final header.

##### Generate a list of all tokens in the final header.

This doesn't need to be overridden in theory, but it is for implementation reasons to prevent potential breakage of attributes.

#### Parameters

- $string:

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_Headers_UnstructuredHeader

#### Swift_Mime_Headers_UnstructuredHeader::__construct() - Creates a new SimpleHeader with $name.

#### Swift_Mime_Headers_UnstructuredHeader::getFieldBody() - Get the value of this header prepared for rendering.

#### Swift_Mime_Headers_UnstructuredHeader::getFieldBodyModel() - Get the model for the field body.

#### Swift_Mime_Headers_UnstructuredHeader::getFieldType() - Get the type of Header that this instance represents.

#### Swift_Mime_Headers_UnstructuredHeader::getValue() - Get the (unencoded) value of this header.

#### Swift_Mime_Headers_UnstructuredHeader::setFieldBodyModel() - Set the model for the field body.

#### Swift_Mime_Headers_UnstructuredHeader::setValue() - Set the (unencoded) value of this header.

#### Inherited From Class Swift_Mime_Headers_AbstractHeader

#### Swift_Mime_Headers_AbstractHeader::clearCachedValueIf() - Clear the cached value if $condition is met.

#### Swift_Mime_Headers_AbstractHeader::createPhrase() - Produces a compliant, formatted RFC 2822 'phrase' based on the string given.

#### Swift_Mime_Headers_AbstractHeader::encodeWords() - Encode needed word tokens within a string of input.

#### Swift_Mime_Headers_AbstractHeader::escapeSpecials() - Escape special characters in a string (convert to quoted-pairs).

#### Swift_Mime_Headers_AbstractHeader::generateTokenLines() - Generates tokens from the given string which include CRLF as individual tokens.

#### Swift_Mime_Headers_AbstractHeader::getCachedValue() - Get the value in the cache.

#### Swift_Mime_Headers_AbstractHeader::getCharset() - Get the character set used in this Header.

#### Swift_Mime_Headers_AbstractHeader::getEncodableWordTokens() - Splits a string into tokens in blocks of words which can be encoded quickly.

#### Swift_Mime_Headers_AbstractHeader::getEncoder() - Get the encoder used for encoding this Header.

#### Swift_Mime_Headers_AbstractHeader::getFieldName() - Get the name of this header (e.g. charset).

#### Swift_Mime_Headers_AbstractHeader::getGrammar() - Get the grammar defined for $name token.

#### Swift_Mime_Headers_AbstractHeader::getLanguage() - Get the language used in this Header.

#### Swift_Mime_Headers_AbstractHeader::getMaxLineLength() - Get the maximum permitted length of lines in this Header.

#### Swift_Mime_Headers_AbstractHeader::getTokenAsEncodedWord() - Get a token as an encoded word for safe insertion into headers.

#### Swift_Mime_Headers_AbstractHeader::initializeGrammar() - Initialize some RFC 2822 (and friends) ABNF grammar definitions.

#### Swift_Mime_Headers_AbstractHeader::setCachedValue() - Set a value into the cache.

#### Swift_Mime_Headers_AbstractHeader::setCharset() - Set the character set used in this Header.

#### Swift_Mime_Headers_AbstractHeader::setEncoder() - Set the encoder used for encoding the header.

#### Swift_Mime_Headers_AbstractHeader::setFieldName() - Set the name of this Header field.

#### Swift_Mime_Headers_AbstractHeader::setLanguage() - Set the language used in this Header.

#### Swift_Mime_Headers_AbstractHeader::setMaxLineLength() - Set the maximum length of lines in the header (excluding EOL).

#### Swift_Mime_Headers_AbstractHeader::tokenNeedsEncoding() - Test if a token needs to be encoded or not.

#### Swift_Mime_Headers_AbstractHeader::toString() - Get this Header rendered as a RFC 2822 compliant string.

#### Swift_Mime_Headers_AbstractHeader::toTokens() - Generate a list of all tokens in the final header.

#### Swift_Mime_Headers_AbstractHeader::__toString() - Returns a string representation of this object.

Documentation generated on Fri, 12 Nov 2010 20:45:26 +0000 by phpDocumentor 1.4.3